%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Socket6
Version:       0.29
Release:       2mamba
Summary:       Socket6 - IPv6 related part of the C socket.h defines and structure manupulators
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/U/UM/UMEMOTO/Socket6-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
IPv6 related part of the C socket.h defines and structure manupulators.

%prep
%setup -q -n Socket6-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 0.29-2mamba
- rebuilt with perl 5.36.0

* Sun Aug 04 2019 Automatic Build System <autodist@mambasoft.it> 0.29-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28-2mamba
- rebuilt with perl 5.24

* Sun Aug 07 2016 Automatic Build System <autodist@mambasoft.it> 0.28-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 0.25-1mamba
- automatic update by autodist

* Sun Dec 08 2013 Automatic Build System <autodist@mambasoft.it> 0.24-1mamba
- automatic update by autodist

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.23-2mamba
- perl 5.16 rebuild

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.23-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.22-2mamba
- automatic rebuild by autodist

* Mon Oct 20 2008 gil <puntogil@libero.it> 0.22-1mamba
- update to 0.22

* Fri Mar 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19-2mamba
- change release to mamba

* Thu Mar 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19-1qilnx
- package created by autospec
